{% extends 'base.html' %}
{% load bootstrap_pagination %}
{% block content %}

<div class="d-flex" id="wrapper">

        <!-- Sidebar -->
        <div class="border-right border-dark bg-light" id="sidebar-wrapper">
                <div class='sidebar-heading mb-3'>Volume</div>
                {% if volumes.exists %}
                    <div class="list-group list-group-flush">
                            {% for menu_volume in volumes %}
                                <a href="{{ menu_volume.get_absolute_url }}" class="list-group-item list-group-item-action {% if menu_volume.pk == volume.pk %} active{% endif %}">{{ menu_volume.name }}</a>
                            {% endfor %}
                    </div>
                {% endif %}
        </div>
        <div id="page-content-wrapper">
                <div class="container-fluid">
                        <div class='mt-3'>
                            <h2 class="display-5 text-center">{{ volume }}</h2>
                            <h5 class="display-8 text-center">{{ pages_count }} pages</h5>
                            {% if pages.paginator.num_pages > 1 %}
                            {% bootstrap_paginate pages show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
                            {% endif %} 
                                {% for key, value in volume.metadata.items %}
                                    <span class="badge badge-secondary">{{key}}: {{value}}</span>
                                {% endfor %}
                            <p class="lead">Attendees</p>
            
                            {% for attendee in volume.attendees.all %}
                                <a href="{{ attendee }}">{{ attendee }}</a>
                            {% endfor %}
                        </div>
                        <p>
                    
                            {% for doc_page in pages %}
                            <hr/>
                            <a class='text-small float-right mr-4 btn btn-sm btn-light' title="view image for this page" href="{{doc_page.iiif_url}}" target="_blank" ><i class="fas fa-file-image mr-2"></i>View image</a>
                            <h5 class='mb-4'>Page {{doc_page.page_identifier}}</h5>
                            {% for key, value in doc_page.metadata.items %}
                                <span class="badge badge-secondary">{{key}}: {{value}}</span>
                            {% endfor %}
                            <b>Original Text</b>
                            <p>
                                {{doc_page.text}}
                            </p>
                            <b>English Translation</b>
                            <p>
                                {{doc_page.bow_text}}
                            </p>
                            <p>
                                <!--<strong>Fancy (Daan)</strong>
                                {% for key, value in doc_page.metadata.items %}
                                   <span class="badge badge-secondary">{{key}}: {{value}}</span>
                                {% endfor %}
                                {% for sentence in doc_page.sentences %}
                                    <p>
                                        {{ sentence.text }}
                                        <br>
                                        <b>Errors:</b>
                                        {% for unrecognized_word in sentence.err %}
                                            <span class="badge badge-warning">{{unrecognized_word}}</span>
                                        {% endfor %}
                                        
                                    </p>
                                    
                                {% endfor %}!-->
                            </p>
                            {% endfor %}
                        </div>
                    {% if pages.paginator.num_pages > 1 %}
                    {% bootstrap_paginate pages show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
                    {% endif %} 
                </div>
        </div>
    {% endblock %}